/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const gascoAvatarMdCss = "img.avatar-img.sc-gasco-avatar{border-radius:var(--border-radius);width:45px;height:45px;margin-right:12px;object-fit:cover;flex-basis:45px}.sc-gasco-avatar-h{--border-radius:50%}.avatar-native.sc-gasco-avatar{display:flex;align-items:center;position:relative;margin:0}.avatar-native.sc-gasco-avatar::before{content:\"\";position:absolute;z-index:2;inset:0 0 0 0}.avatar-native.sc-gasco-avatar figcaption.sc-gasco-avatar{display:flex;flex-direction:column}";

const GascoAvatar = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    const { src, alt } = this;
    return (h("figure", { class: "avatar-native", part: "native" }, h("img", { class: "avatar-img", src: src, alt: alt }), h("figcaption", null, h("slot", null))));
  }
  static get style() { return gascoAvatarMdCss; }
}, [6, "gasco-avatar", {
    "src": [1],
    "alt": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-avatar"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-avatar":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoAvatar);
      }
      break;
  } });
}

export { GascoAvatar as G, defineCustomElement as d };
